import { Tray, nativeImage } from 'electron';
declare class TrayHandler {
    lastUnreadCount: number;
    trayIcon?: Tray;
    icons?: {
        badge: nativeImage;
        tray: nativeImage;
        trayWithBadge: nativeImage;
    };
    constructor();
    initTray(trayIcon?: Tray): void;
    showUnreadCount(win: Electron.BrowserWindow, count?: number): void;
    private buildTrayMenu;
    private flashApplicationWindow;
    private updateBadgeCount;
    private updateIcons;
}
export { TrayHandler };
